UserInfo表

INSERT INTO UserInfo(UserID,UserName,Sex,Age,hiredate,tele,Addr)  --插入一条记录
VALUES('001','王琳琳','女',26,'2005-1-24','07313677867','湖南长沙')
GO
INSERT INTO UserInfo                    --插入数据所有列时，可以省略列名
VALUES('002','张家辉','男',27,'2004-3-5','02034657654','广东广州')

INSERT INTO UserInfo(UserID,UserName)
Values('003','张田田','女')

INSERT INTO UserInfo(UserID,UserName,Sex,Age,hiredate,tele,Addr)
Values('004','周晨阳','男',30,'2003-4-2','02734652345','湖北宜昌')

INSERT INTO UserInfo(UserID,UserName,Sex,Age,hiredate,tele)
Values('005','刘铁君','男',33,'2003-10-1','02087659802')

INSERT INTO UserInfo(UserID,UserName,Sex,Age,hiredate,tele,Addr)
Values('006','春晓','女',31,'2003-7-22','01034756874','北京顺义')

INSERT INTO UserInfo(UserID,UserName,Sex,Age,hiredate,tele,Addr)
Values('007','林莉','女',30,'2004-12-1','09313647574','甘肃天水')

INSERT INTO UserInfo(UserID,UserName,Sex,Age,hiredate,tele,Addr)
Values('008','张敏','女',28,'2003-5-6','01022256874','北京顺义')

Category表

INSERT INTO Category(CategoryName)  VALUES('计算机基础理论')
INSERT INTO Category(CategoryName)  VALUES('电子商务')
INSERT INTO Category(CategoryName)  VALUES('JAVA')
INSERT INTO Category(CategoryName)  VALUES('网站开发')
INSERT INTO Category(CategoryName)  VALUES('C#基础')
INSERT INTO Category(CategoryName)  VALUES('数据库')
GO


出版社表Publisher

insert into Publisher values('电子工业出版社')
insert into Publisher values('清华大学出版社')
insert into Publisher values('北京希望电子出版社')
insert into Publisher values('高等教育出版社')
insert into Publisher values('机械工业出版社')
insert into Publisher values('人民邮电出版社')
insert into Publisher values('冶金工业出版社')
insert into Publisher values('华南理工大学出版社')
insert into Publisher values('北京航天航空大学出版社')
go


图书表BookInfo

INSERT INTO BookInfo(BookID,BookName,Author,ISBN,PublishDate,PublisherID,CategoryID,Price,Content) 
VALUES('B0001','JavaWeb开发技术详解','孙天琴 李成','9787505393929','2006-09-01',1,3,45, '本书详细介绍了最新Tomcat5版本上开发java web应用的各种结束。书中内容注重理论和实践相结合，力举了大量经典案例及开发步骤。')

INSERT INTO BookInfo  
VALUES('B0002','C#开发经验技巧','明日科技','9787115166890','2007-01-12',6,5,85, '本书重点介绍C#开发的一些经验和技巧，书中采用了大量的示例。包括网络开发，数据库开发，系统底层等等。')


INSERT INTO BookInfo(BookID,BookName,Author,ISBN,PublishDate,PublisherID,CategoryID,Price,Content) 
VALUES('B0003','WEB开发人员参考大全','Jack著 胡为君译','9787121039478','2005-09-08',1,4,108, '本书包含了WEB开发客户端技术，包括HTML,CSS,JavaScript等，是WEB开发人员的最得力的参考书')

INSERT INTO BookInfo(BookID,BookName,Author,ISBN,PublishDate,PublisherID,CategoryID,Price,Content) 
VALUES('B0004','数据库原理与SQL Server2005实践','程云志，张帆，崔翔','9787111196990','2006-01-05',5,6,28, '21世纪高等院校的计算机课程教材，介绍了数据库的基础知识以及SQLServer2005的使用和开发，简洁又通俗')

INSERT INTO BookInfo(BookID,BookName,Author,ISBN,PublishDate,PublisherID,CategoryID,Price,Content) 
VALUES('B0005','基于Oracle的数据库开发','王群','9787111196990','2006-01-05',2,6,46, '这是一本学习Oracle开发的经典入门书籍，浅显易懂')


INSERT INTO BookInfo(BookID,BookName,Author,ISBN,PublishDate,PublisherID,CategoryID,Price,Content) 
VALUES('B0006','C#设计模式——开发大师系列','（美）麦斯科 著，颜炯 译','9787508334929','2004-07-01',5,5,42, '本书是第一部关于C#和.NET设计模式的权威指导著作')

INSERT INTO BookInfo(BookID,BookName,Author,ISBN,PublishDate,PublisherID,CategoryID,Price,Content) 
VALUES('B0007','Visual Basic可视化程序设计','郭静 等编著','9787113067489','2006-01-01',1,4,25, 'VisualBasic（简称VB）可视化程序设计在计算机专业基础课中占有重要地位')

INSERT INTO BookInfo(BookID,BookName,Author,ISBN,PublishDate,PublisherID,CategoryID,Price,Content) 
VALUES('B0008','数据结构题集','严蔚敏 吴伟民 编','9787302033141','1999-02-01',1,1,16, '本书与清华大学出版社出版的《数据结构》（Ｃ语言版）一书配套。主要内容有：习题与学习指导、实习题和部分习题的提示或答案')

INSERT INTO BookInfo(BookID,BookName,Author,ISBN,PublishDate,PublisherID,CategoryID,Price,Content) 
VALUES('B0009','Java面向事件编程——国外经典教材','（美）布鲁斯，（美）达尼洛克','9787302144663','2007-02-01',5,3,68, '本书旨在帮助学生首先掌握对象和事件——这样他们很快就可以开始使用Java来完成一些重要的编程任务')

INSERT INTO BookInfo(BookID,BookName,Author,ISBN,PublishDate,PublisherID,CategoryID,Price,Content) 
VALUES('B0010','Java编程思想（第4版）','（美）埃克尔 著 陈昊鹏  译','9787111213826','2007-06-01',1,3,106, '本书赢得了全球程序员的广泛赞誉，即使是最晦涩的概念，本书都能逐步指导你轻松掌握')

INSERT INTO BookInfo(BookID,BookName,Author,ISBN,PublishDate,PublisherID,CategoryID,Price,Content) 
VALUES('B0011','Dreamweaver UltraDev网站开发综合应用','鲁夫创意工作室','9787115090911','2001-02-01',1,4,40, '本书全面系统地介绍了Microsoft公司推出的功能极为强大、应用最为广泛的浏览器Internet Explorer 5.5中文版')

INSERT INTO BookInfo(BookID,BookName,Author,ISBN,PublishDate,PublisherID,CategoryID,Price,Content) 
VALUES('B0012','Java语言习题与解析','朱福喜  编著','9787302138587','2006-11-1',2,3,32, '本书是作者在多年讲授Java语言与面向对象程序设计的基础上编写的')

INSERT INTO BookInfo(BookID,BookName,Author,ISBN,PublishDate,PublisherID,CategoryID,Price,Content) 
VALUES('B0015','网页设计与制作教程','刘铁兴 编著','9787030136022','2004-6-1',2,4,33,'本书全面地介绍了目前广为应用的网页设计与制作技术。全书共分9章，其内容包括 Internet基础知识、超文本标记语言HTML、脚本语言JavaScript和VBScript、层叠样式表CSS、ASP和通过ADO访问数据库、可扩展标记语言XML等')

INSERT INTO BookInfo(BookID,BookName,Author,ISBN,PublishDate,PublisherID,CategoryID,Price,Content) 
VALUES('B0013','Java ME实用详解：用Eclipse进行移动开发（附光盘）','刘斌  编著','9787121036545','2007-2-1',10,3,69, '本书有两个技术特点：一是介绍如何开发Java ME手机应用程序；二是介绍如何使用Eclipse开发Java ME应用程序')

INSERT INTO BookInfo(BookID,BookName,Author,ISBN,PublishDate,PublisherID,CategoryID,Price,Content) 
VALUES('B0014','XML及其在电子商务中的应用','方美琪  编著','9787302068129','2003-8-1',2,4,16,'本书的第一部分介绍了XML的相关技术，包括基础技术和高级技术，由XML的基础语法到Java的DOM编程')

INSERT INTO BookInfo(BookID,BookName,Author,ISBN,PublishDate,PublisherID,CategoryID,Price,Content) 
VALUES('B0016','面向对象设计UML实践（第2版）','普里斯特（Priestley,M.）  著，龚晓庆，卞雷 等译','9787302105879','2005-5-1',2,4,39,'本书自第1版出版以来，深受读者喜爱。为了适应面向对象设计发展，第2版在保留第1版特点的同时，根据当前软件工程的发展趋势和教学特点，精心选择了最主要的基本内容进行介绍')

SalesMaster表
 
INSERT INTO SalesMaster(SalesDate,UserID)
VALUES('2008-1-1','002')
INSERT INTO SalesMaster(SalesDate,UserID)
VALUES('2008-10-1','004')
INSERT INTO SalesMaster(SalesDate,UserID)
VALUES('2010-3-1','008')
INSERT INTO SalesMaster(SalesDate,UserID)
VALUES('2013-1-1','006')

向销售细表SalesDetails插入几条记录，表示书的销售情况

INSERT INTO SalesDetails(SalesMasterID,BookID,Quantity,Discount,Price)
VALUES(1,'B0004',3,1,28)
INSERT INTO SalesDetails(SalesMasterID,BookID,Quantity,Discount,Price)
VALUES(1,'B0010',2,1,106)
INSERT INTO SalesDetails(SalesMasterID,BookID,Quantity,Discount,Price)
VALUES(1,'B0005',3,0.88,46)
INSERT INTO SalesDetails(SalesMasterID,BookID,Quantity,Discount,Price)
VALUES(1,'B0006',3,0.95,42)
INSERT INTO SalesDetails(SalesMasterID,BookID,Quantity,Discount,Price)
VALUES(1,'B0001',2,1,45)

INSERT INTO SalesDetails(SalesMasterID,BookID,Quantity,Discount,Price)
VALUES(2,'B0004',11,1,28)
INSERT INTO SalesDetails(SalesMasterID,BookID,Quantity,Discount,Price)
VALUES(2,'B0010',1,0.9,106)
INSERT INTO SalesDetails(SalesMasterID,BookID,Quantity,Discount,Price)
VALUES(2,'B0005',6,0.88,46)
INSERT INTO SalesDetails(SalesMasterID,BookID,Quantity,Discount,Price)
VALUES(2,'B0006',2,0.95,42)
INSERT INTO SalesDetails(SalesMasterID,BookID,Quantity,Discount,Price)
VALUES(2,'B0001',12,1,45)